/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 
$spacer: 8px !default;
$spacers: (
        0,
        round($spacer / 2),
        $spacer,
        $spacer * 2,
        $spacer * 3,
        $spacer * 4,
        $spacer * 5
) !default;

// Aliases for easy use
$spacer-1: nth($spacers, 2) !default; // 4px
$spacer-2: nth($spacers, 3) !default; // 8px
$spacer-3: nth($spacers, 4) !default; // 12px
$spacer-4: nth($spacers, 5) !default; // 24px
$spacer-5: nth($spacers, 6) !default; // 32px
$spacer-6: nth($spacers, 7) !default; // 40px

.blankslate {
  position: relative;
  padding: $spacer-5;
  text-align: center;
  max-width: 900px;
  margin: auto;
  //background-color: $gray-000;
  //border: 1px solid $gray-200;
  //border-radius: 3px;
  //box-shadow: inset 0 0 10px rgba($black, 0.05);
  color: $text-gray;

  // was .clean-background
  //.blankslate-clean-background {
    background: none;
    border: 0;
    box-shadow: none;
  //}

  // was .large-format
  //.blankslate-large {
    h3 {
      margin:0;
      font-size: 20px;
    }

    h4 {
      margin:0;
      font-size: 16px;
    }

    p {
      margin: $spacer-2 0 0 0;
    }
  //}


  code {
    padding: 2px 5px 3px;
    font-size: 14px;
    background: $bg-white;
    border: 1px solid $border-gray-light;
    border-radius: 3px;
  }

}

.blankslate-spinner {
  position: relative;
  @include spinner(80px);
  &::after {
    border-color: $body-bg;
    border-top-color: $brand-primary;
    top: 50%;
    margin-top: -40px;
  }
  h4, h3 {
    background:$body-bg;
    display: inline-block;
    padding:0 2px;
    position: relative;
    z-index: 100;
  }
  p, small {
    position: absolute;
    width: 100%;
    left:0;
    display: block;
    margin-top: 40px;
    line-height: normal;
    background:$body-bg;
  }
}

.box-body, .modal-body {
  .blankslate-spinner {

    &::after {
      border-color: #FFF;
      border-top-color: $brand-primary;
    }
    h4, h3 {
      background:#FFF;
    }
    p, small {
      background:#FFF;
    }
  }
}

/*
.blankslate-spinner {
  @include spinner(50px);
  position: relative;
  height: 80px;
  display: block;
  &::after {
    position: absolute;
    border-color: #fff;
    border-top-color: $brand-primary;

    //z-index: 99;
    //content: "";
    //box-sizing: border-box;
    //position: absolute;
    //top: 50%;
    //left: 50%;
    //width: $width;
    //height: $width;
    //margin-top: -$width/2;
    //margin-left: -$width/2;
    //border-radius: 50%;
    //border: $width/10 solid #ccc;
    //border-top-color: $brand-primary;
    //animation: spinner 1s linear infinite;
  }
}
*/

.blankslate-icon {
  margin-bottom: $spacer-2;
  color: lighten($gray-400, 5%);
}

.blankslate-capped {
  border-radius: 0 0 3px 3px;
}

.blankslate-spacious {
  padding: ($spacer-6 * 2) $spacer-6;
}

.blankslate-xspacious {
  padding: ($spacer-6 * 4) $spacer-6;
}

.blankslate-narrow {
  width: 485px;
  margin: 0 auto;
}


// was .clean-background
//.blankslate-clean-background {
//  background: none;
//  border: 0;
//  box-shadow: none;
//}